/***************************************************************************
 * introduction.cpp: implementation of Introduction class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#include "introduction.h"

#include <QLabel>
#include <QVBoxLayout>

#include <KLocale>

#include "settings.h"

Introduction::Introduction(QWidget* parent)
: QWizardPage(parent)
{
	setTitle(i18n("Introduction"));
	
	mIntroductionLabel = new QLabel(this);
	mIntroductionLabel->setMargin(11);
	mIntroductionLabel->setText("With this wizard you can configure\n"
						  "your midi driver\n(hardware or software\n"
						  "with timidity).");
	mIntroductionLabel->setMaximumWidth(mIntroductionLabel->sizeHint().width());
	
	mIntroductionLayout = new QVBoxLayout(this);
	
	mIntroductionLayout->addWidget(mIntroductionLabel);
}

#include "introduction.moc"
